GET
/v1/apis/{apiId}/functions
http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/functionsList multiple functions.
Access Token Required: API Key
Path Parameters
apiIdstringrequired
The GraphQL API ID.
Query Params
nextTokenstring
An identifier that was returned from the previous call to this operation, which you can use to return the next set of items in the list.
maxResultsinteger
The maximum number of results that you want the request to return.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/functions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}